Subject: Re: [IPP] Minutes posted from today's meeting

From: "Kennedy, Smith \(Wireless & IPP Standards\) via ipp" <[email-masked]>
Date: Mon, 2 Aug 2021 21:53:00 +0000

Hi Mike,

You have in these minutes this statement about section 5.2.6 "folding (1setOf collection)":

⁃ Add something to talk about folding applying to the set, except as noted (e.g. poster fold is normally done to individual sheets)

I'm not sure what to do about this because the . Are you saying that the size of the Set or how many Media Sheets should be folded may depend on the type of the fold? So if the Client sends a 4 page document and supplies "finishing" = 'fold-poster', the Printer might fold every Media Sheet, but if the Client instead supplies "finishing" = 'fold-half' the Printer may instead fold all 4 pages together?

Maybe we need to add a "folding-when"?

Smith

/**
    Smith Kennedy
    HP Inc.
*/

> On Jun 3, 2021, at 2:13 PM, Michael Sweet via ipp <[email-masked]> wrote:
> 
> All,
> 
> I have posted the minutes from today's IPP workgroup conference call to:
> 
> https://ftp.pwg.org/pub/pwg/ipp/minutes/ippv2-concall-minutes-20210603.pdf <https://ftp.pwg.org/pub/pwg/ipp/minutes/ippv2-concall-minutes-20210603.pdf>
> 
> Our next conference call is on June 17, 2021 at 3pm EDT.
> 
> ________________________
> Michael Sweet
> 
> 
> 
> _______________________________________________
> ipp mailing list
> [email-masked]
> https://www.pwg.org/mailman/listinfo/ipp <https://www.pwg.org/mailman/listinfo/ipp>

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet via ipp <[email-masked]>
Date: Tue, 3 Aug 2021 10:12:59 -0400

Smith,

> On Aug 2, 2021, at 5:53 PM, Kennedy, Smith (Wireless & IPP Standards) <[email-masked]> wrote:
> 
> Hi Mike,
> 

So the issue here is that some kinds of folds can be applied per-sheet or per-set, but some can *only* be applied per set (fold-double-gate, fold-parallel), others can *only* be applied per sheet (fold-half-z, fold-poster), and the rest can be applied either way depending on the amount of folding done and output bin/tray.

Look at figure 1's fold images to get a visual sense of this - folds along both axis need to be applied per-sheet, while overlapping folds need to be applied per-set.  So this is definitely implementation/process-specific, but we want folding to only express the intent.

________________________
Michael Sweet

---

From: "Kennedy, Smith \(Wireless & IPP Standards\) via ipp" <[email-masked]>
Date: Tue, 3 Aug 2021 16:26:58 +0000

Hi Mike,

On Aug 3, 2021, at 8:20 AM, Michael Sweet <[email-masked]> wrote:

 Smith,

On Aug 2, 2021, at 5:53 PM, Kennedy, Smith (Wireless & IPP Standards) <[email-masked]<mailto:[email-masked]>> wrote:

Hi Mike,

As you know well, we have two needs: describing a folding operation to a Client, and describing a custom folding operation to the Printer.

In both cases, a “folding-when” would be useful. The Client needs to know the range of options it could use (1 or more than 1 option). And if there is the possibility of a choice, the Client needs a member to convey that choice to the Printer.

Expressing this via the current finishings-col is going to be a little bit awkward because folding is expressed as an ordered sequence of folding collections. Maybe a”folding-when” as a member of the first “folding” collection? Or as a separate peer to “folding”?

---

From: "Kennedy, Smith \(Wireless & IPP Standards\) via ipp" <[email-masked]>
Date: Thu, 5 Aug 2021 22:39:42 +0000

Hi again,

I guess one other way this might be conveyed is to add a "job-max-pages-per-set-supported" member to "finishings-col" and add that as an additional member of "finishings-col-ready: / "finishings-col-database" collections, so that it can be used by all finishings operations?
finishings-col-database=

{

    finishing-template='fold-accordion'

    media-size-name="iso_a4_210x297mm"

    job-max-pages-per-set-supported=1

    folding=

    {

        folding-direction='inward'

        folding-location=7425

        folding-reference-edge='top'

    },

    {

        folding-direction='inward'

        folding-location=22275

        folding-reference-edge='top'

    },

    {

        folding-direction='outward'

        folding-location=14850

        folding-reference-edge='top'

    }

}

Smith

> On Aug 3, 2021, at 10:26 AM, Kennedy, Smith (Wireless & IPP Standards) via ipp <[email-masked]> wrote:
> 
> Hi Mike,
> 
>>> On Aug 2, 2021, at 5:53 PM, Kennedy, Smith (Wireless & IPP Standards) <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>> Hi Mike,
>>>

---

From: Michael Sweet via ipp <[email-masked]>
Date: Thu, 5 Aug 2021 18:59:35 -0400

Smith,

I'm not sure it matches the semantics, but if we were to do something like this (to indicate the maximum number of sheets that can be stapled, folded, punched, etc.) I would not use a member attribute name with "pages", maybe "max-sheets" or something like that.

The Printer Finisher MIB (RFC 3806) has an element named "maximumSheets", and we already expose that in the printer-finisher attribute. If this is important we can also expose it as a member attribute (but there will be a lot of duplication per finisher...)

> On Aug 5, 2021, at 6:39 PM, Kennedy, Smith (Wireless & IPP Standards) <[email-masked]> wrote:
> 
> Hi again,
> 

________________________
Michael Sweet

---

From: "Kennedy, Smith \(Wireless & IPP Standards\) via ipp" <[email-masked]>
Date: Fri, 6 Aug 2021 03:48:50 +0000

Hi Mike,

I don't know why this didn't occur to me earlier, but I think this issue is already covered by the "media-sheets-supported" additional member of "finishings-col" defined in section 7.9. 😊 I think we are good with what we have already - no additional attributes needed.

Smith

> On Aug 5, 2021, at 4:39 PM, Kennedy, Smith (Wireless & IPP Standards) <[email-masked]> wrote:
> 
> Hi again,
> 
>> On Aug 3, 2021, at 10:26 AM, Kennedy, Smith (Wireless & IPP Standards) via ipp <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Hi Mike,
>> 
>>> On Aug 3, 2021, at 8:20 AM, Michael Sweet <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>>  Smith,
>>> 
>> [email-masked] <mailto:[email-masked]>